AdvancedQueryGetter
Keywords: uk.ac.ic.doc.rodex.p2p.AdvancedQueryGetter class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.rodex.p2p
Class AdvancedQueryGetter

    java.lang.Object
      uk.ac.ic.doc.automed.p2p.QueryGetter
          uk.ac.ic.doc.rodex.p2p.AdvancedQueryGetter

All Implemented Interfaces:
  IQueryAggregator

    public class AdvancedQueryGetter

extends QueryGetter

Author:
  dmle

Field Summary

Fields inherited from class uk.ac.ic.doc.automed.p2p.QueryGetter
`peer`

Constructor Summary
`AdvancedQueryGetter(AutoMedPeer peer)`

Method Summary
`ASG` | `getQueryResults(java.lang.String peerName, java.lang.String address, QueryDescription queryDesc)` Use `QEP` to send query request for execution
`void` | `getSODefinition(QuerySubGoal qsg, java.lang.String peerName, java.lang.String peerAddress)` Ask a remote peer for the query definitions of a given schema object

Methods inherited from class uk.ac.ic.doc.automed.p2p.QueryGetter
`getQueryResults`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AdvancedQueryGetter

    public AdvancedQueryGetter(AutoMedPeer peer)

Method Detail

### getQueryResults

    public ASG getQueryResults(java.lang.String peerName,
                               java.lang.String address,
                               QueryDescription queryDesc)
                        throws UnsuccessfulReplyException,
                               CommunicationException,
                               QueryResultException

  Use `QEP` to send query request for execution

  Specified by:
    `getQueryResults` in interface `IQueryAggregator`
  Overrides:
    `getQueryResults` in class `QueryGetter`
  Parameters:
    `peerName` - the logical name of the peer
    `address` - a url that resolves to an IP addres, or an IP address, of the host where the peer is currently located.
    `query` - the query to pose on that public schema
  Throws:
    `UnsuccessfulReplyException`
    `CommunicationException`
    `QueryResultException`

### getSODefinition

    public void getSODefinition(QuerySubGoal qsg,
                                java.lang.String peerName,
                                java.lang.String peerAddress)
                         throws CommunicationException,
                                QueryResultException

  Ask a remote peer for the query definitions of a given schema object

  Specified by:
    `getSODefinition` in interface `IQueryAggregator`
  Overrides:
    `getSODefinition` in class `QueryGetter`
  Parameters:
    `so` - the schema object in question
  Throws:
    `CommunicationException`
    `QueryResultException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD